# 获取分布分析数据

## URL <a href="#url" id="url"></a>

<https://www.growingio.com/v3/exporter/projects/{project_uid}/frequencies/{frequency_id}>

## 请求类型 <a href="#qing-qiu-lei-xing" id="qing-qiu-lei-xing"></a>

GET

## 结果返回方式 <a href="#qing-qiu-lei-xing" id="qing-qiu-lei-xing"></a>

异步：参考 [概述](/v3/developer-manual/api-reference/statistics-api-v3/overview.md) 部分的描述

## 请求头参数 <a href="#qing-qiu-tou-can-shu" id="qing-qiu-tou-can-shu"></a>

公共头部请参考[公共请求头参数](/v3/developer-manual/api-reference/authenticate.md)。

## 参数说明与示例 <a href="#can-shu-shuo-ming-yu-shi-li" id="can-shu-shuo-ming-yu-shi-li"></a>

{% tabs %}
{% tab title="请求参数" %}

| 路径参数          | 类型     | 是否必传 | 说明                                                                                                                           |
| ------------- | ------ | ---- | ---------------------------------------------------------------------------------------------------------------------------- |
| frequency\_id | string | 是    | <p>分布分析单图ID</p><p>详细请参考：<a href="/pages/-M34BrX7Hby_yF2OPIVo#tong-ji-shu-ju-dao-chu-fen-lei-2">概述</a> frequency\_id的获取方式</p> |
| project\_uid  | string | 是    | 项目UID，详细请参考 [获取项目UID](/v3/product-manual/projectmange/projectmange/get-uid.md)                                               |

| 查询参数         | 类型      | 是否必传 | 说明                                                                                                                                                                        |
| ------------ | ------- | ---- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| split        | string  | 否    | <p>适用图表：分布</p><p>分布区间</p><ul><li>10：10层以内</li><li>15：15层以内</li><li>25：25层以内</li><li>\[integer1，integer2..]：自定义分层</li></ul><p>默认值：以图表配置为准</p>                              |
| interval     | integer | 否    | <p>适用图表：趋势 </p><p>数据粒度，单位为毫秒。 </p><ul><li>86400000(1天) </li><li>604800000(1周) </li><li>2592000000(1月) </li></ul><p>默认值：以图表配置为准</p>                                        |
| statistic    | string  | 否    | <p>适用图表：趋势（含维度对比/用户对比）</p><p>统计类型</p><ul><li>max：最大值</li><li>min：最小值</li><li>avg：平均值</li><li>median：中位数</li><li>0.25：25分位数</li><li>0.75：75分位数</li></ul><p>默认值：以图表配置为准</p> |
| startTime    | integer | 否    | <p>数据起始时间，unix毫秒时间戳。</p><p>需与endTime一起使用。</p>                                                                                                                             |
| endTime      | integer | 否    | <p>数据结束时间，unix毫秒时间戳。</p><p>需与startTime一起使用。</p>                                                                                                                           |
| {% endtab %} |         |      |                                                                                                                                                                           |

{% tab title="返回示例" %}
未导出完成：

```
{"id":"随机ID","status":"doing"}
```

导出完成：

```
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://growingio.gitbook.io/v3/developer-manual/api-reference/statistics-api-v3/definition/huo-qu-fen-bu-fen-xi-shu-ju.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
